//+------------------------------------------------------------------+
//|                                                C_Object_Base.mqh |
//|                                                      Daniel Jose |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Daniel Jose"
//+------------------------------------------------------------------+
#include <NanoEA-SIMD\Auxiliar\C_Terminal.mqh>
//+------------------------------------------------------------------+
class C_Object_Base
{
	public	:
//+------------------------------------------------------------------+
virtual void Create(string szObjectName, color cor);
//+------------------------------------------------------------------+
virtual void SpotLight(string szObjectName = NULL);
//+------------------------------------------------------------------+
virtual void Create(string szObjectName, ENUM_OBJECT typeObj)
			{
				ObjectCreate(Terminal.Get_ID(), szObjectName, typeObj, 0, 0, 0);
				ObjectSetInteger(Terminal.Get_ID(), szObjectName, OBJPROP_SELECTABLE, false);
				ObjectSetInteger(Terminal.Get_ID(), szObjectName, OBJPROP_SELECTED, false);
				ObjectSetInteger(Terminal.Get_ID(), szObjectName, OBJPROP_BACK, true);
				ObjectSetString(Terminal.Get_ID(), szObjectName, OBJPROP_TOOLTIP, "\n");
				ObjectSetInteger(Terminal.Get_ID(), szObjectName, OBJPROP_BACK, false);
				ObjectSetString(Terminal.Get_ID(), szObjectName, OBJPROP_TOOLTIP, "\n");
				PositionAxleY(szObjectName, 9999);
			};
//+------------------------------------------------------------------+
		void PositionAxleX(string szObjectName, int X)
			{
				ObjectSetInteger(Terminal.Get_ID(), szObjectName, OBJPROP_XDISTANCE, X);
			};
//+------------------------------------------------------------------+
virtual void PositionAxleY(string szObjectName, int Y)
			{
				ObjectSetInteger(Terminal.Get_ID(), szObjectName, OBJPROP_YDISTANCE, Y);
			};
//+------------------------------------------------------------------+
virtual void SetColor(string szObjectName, color cor)
			{
				ObjectSetInteger(Terminal.Get_ID(), szObjectName, OBJPROP_COLOR, cor);
			}
//+------------------------------------------------------------------+
		void Size(string szObjectName, int Width, int Height)
			{
				ObjectSetInteger(Terminal.Get_ID(), szObjectName, OBJPROP_XSIZE, Width);
				ObjectSetInteger(Terminal.Get_ID(), szObjectName, OBJPROP_YSIZE, Height);
			};
//+------------------------------------------------------------------+
		long GetValueLong(string szObjectName) const
			{
				return (StringToInteger(ObjectGetString(Terminal.Get_ID(), szObjectName, OBJPROP_TEXT)) * (ObjectGetInteger(Terminal.Get_ID(), szObjectName, OBJPROP_BGCOLOR) == clrCoral ? -1 : 1));
			};
//+------------------------------------------------------------------+
};
//+------------------------------------------------------------------+
